"""
A module to route the warowaro package CLI traffic.
"""

import sys
from typing import Any

from warowaro import ExampleEngine
from warowaro.cli.generators import generate_main_parser


def dispatcher(*args: Any, **kwargs: Any) -> None:
    """
    Main CLI method, recieves the command line action and dispatches it to
    the corresponding method.
    """
    parser = generate_main_parser()
    parsed_args = parser.parse_args(*args, **kwargs)

    engine = ExampleEngine(parsed_args.secret)

    try:
        if parsed_args.action == "echo":
            print(engine.get_secret())
        elif parsed_args.action == "hash":
            print(engine.get_scrambled_secret())
    except AttributeError:
        print("An argument is required for this CLI.")
        parser.print_help()
        sys.exit(1)
